Change organization details
PUT/v1/organization
This route allows you to change the details of your Port organization, such as its name and hidden blueprints.
Request
Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the organization."
},
"settings": {
"type": "object",
"properties": {
"hiddenBlueprints": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of blueprint identifiers that should be hidden."
},
"federatedLogout": {
"type": "boolean"
},
"portalIcon": {
"type": [
"string",
"null"
]
},
"portalTitle": {
"type": "string",
"maxLength": 30
}
}
},
"announcement": {
"type": "object",
"required": [
"content"
],
"properties": {
"enabled": {
"type": "boolean"
},
"content": {
"type": "string",
"maxLength": 300,
"minLength": 1
},
"link": {
"type": [
"string",
"null"
],
"maxLength": 300
},
"color": {
"type": "string",
"enum": [
"blue",
"red",
"green",
"yellow",
"orange",
"pink",
"purple",
"turquoise"
]
}
}
}
},
"additionalProperties": false,
"required": [
"name"
]
}
}
},
"required": true
}
}Responses
- 200
- 401
- 404
- 413
- 422
Updated successfully.
Default Response
A resource with the provided identifier was not found
Request body is too large (limit is 1MiB)
The json provided does not match the route's schema
Responses (JSON)
{
"responses": {
"200": {
"description": "Updated successfully.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"enum": [
true
]
}
},
"additionalProperties": false,
"required": [
"ok"
],
"description": "Updated successfully."
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
},
"413": {
"description": "Request body is too large (limit is 1MiB)",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"description": "Request body is too large (limit is 1MiB)"
}
}
}
},
"422": {
"description": "The json provided does not match the route's schema",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "The json provided does not match the route's schema"
}
}
}
}
}
}